aboutsummaryrefslogtreecommitdiffstats
path: root/community
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2021-05-22 06:19:30 -0300
committerLeo <thinkabit.ukim@gmail.com>2021-05-23 12:03:20 +0000
commit9dd3cadb422d5165edda6487b299c62b39028316 (patch)
treea044e7a35e39027e9ea3ed68bf001e74a494187c /community
parent7f1459625bec481ab73159c6d2f36875ca695bbb (diff)
downloadaports-9dd3cadb422d5165edda6487b299c62b39028316.tar.gz
aports-9dd3cadb422d5165edda6487b299c62b39028316.tar.bz2
aports-9dd3cadb422d5165edda6487b299c62b39028316.tar.xz
community/libwacom: modernize, enable on more arches, reduce deps
Diffstat (limited to 'community')
-rw-r--r--community/libwacom/APKBUILD12
1 files changed, 7 insertions, 5 deletions
diff --git a/community/libwacom/APKBUILD b/community/libwacom/APKBUILD
index 0e7b1f3e6a..88cfcf7112 100644
--- a/community/libwacom/APKBUILD
+++ b/community/libwacom/APKBUILD
@@ -5,18 +5,20 @@ pkgver=1.10
pkgrel=0
pkgdesc="Library to help implement Wacom tablet settings"
url="https://github.com/linuxwacom/libwacom/wiki"
-arch="all !s390x !mips !mips64" # librsvg
+arch="all"
license="MIT"
-makedepends="librsvg-dev gtk+2.0-dev glib-dev libgudev-dev libxml2-dev meson
- py3-udev py3-libevdev"
-checkdepends="bash findutils diffutils py3-pytest"
+makedepends="glib-dev libgudev-dev meson"
+checkdepends="bash findutils diffutils py3-pytest py3-udev py3-libevdev
+ libxml2-dev"
subpackages="$pkgname-dev $pkgname-doc"
source="https://github.com/linuxwacom/libwacom/releases/download/libwacom-$pkgver/libwacom-$pkgver.tar.bz2
disable-tests.patch
"
build() {
- abuild-meson . output
+ abuild-meson \
+ -Dtests=$(options_has !check && echo enabled || echo disabled) \
+ . output
meson compile ${JOBS:+-j ${JOBS}} -C output
}